/* global assert:true */
module.exports = function (options) {
  describe('Adapter#destroy', function () {
    it('should exist', function () {
      assert.equal(typeof this.$$adapter.destroy, 'function', 'adapter should have a "destroy" method')
    })
    it('should destroy a user', async function () {
      var adapter = this.$$adapter
      var User = this.$$User
      var createUser = await adapter.create(User, {name: 'John'})
      var id = createUser.id

      var destroyedUser = await adapter.destroy(User, createUser.id)
      assert.equal(destroyedUser, createUser.id)

      var user = await adapter.find(User, id)
      assert.isTrue(!user)
    })
  })
}
